import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { HttpModule } from '@angular/http';
import { FormsModule } from '@angular/forms';
import { DataService } from './data.service';

import { routes } from './app.router';

import { AppComponent } from './app.component';

import { RouterModule, Routes } from '@angular/router';
import { Route } from '@angular/compiler/src/core';

import { AboutComponent } from './components/about/about.component';

import { FooterComponent } from './footer/footer.component';

import { AddComponent } from './components/add/add.component';




@NgModule({
  declarations: [
    AppComponent,
   
    AboutComponent,
  
    FooterComponent,
    
    AddComponent,
    
    
  ],
  imports: [
    
    BrowserModule,
    FormsModule,
    HttpModule,
    routes
  ],
  providers: [DataService],
  bootstrap: [AppComponent]
})
export class AppModule { }
