import { ModuleWithProviders } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { AppComponent } from './app.component';
import { AboutComponent } from './components/about/about.component';


import { AddComponent } from './components/add/add.component';

export const router: Routes = [
      { path: '', redirectTo: '', pathMatch: 'full'},
      { path: 'detail', component: AboutComponent },
     
      { path: 'add', component: AddComponent }
      
];

export const routes: ModuleWithProviders = RouterModule.forRoot(router);
