import { Component, OnInit } from '@angular/core';
import { DataService } from '../../data.service';
import { AppComponent } from '../../App.component';

import { RouterModule, Routes } from '@angular/router';
import { Route } from '@angular/compiler/src/core';

@Component({
  selector: 'app-about',
  templateUrl: './about.component.html',
  styleUrls: ['./about.component.css']
})
export class AboutComponent implements OnInit {

  private result:Array<any>;



  name: string = '';
  sname: string = '';
  dat: string = '';


  constructor(private dataService:DataService) {

   // this.onLoad();


  }

  ngOnInit() {
  }


  onLoadCoffee(){
    this.dataService.getCoffee().subscribe(res=>{
    this.result = res;
    //console.log(res);
    });
  }

  onLoadMilk(){
    this.dataService.getMilk().subscribe(res=>{
    this.result = res;
    //console.log(res);
    });
  }

  onLoadCake(){
    this.dataService.getCake().subscribe(res=>{
    this.result = res;
    //console.log(res);
    });
  }

  onLoadDrink(){
    this.dataService.getDrink().subscribe(res=>{
    this.result = res;
    //console.log(res);
    });
  }

  onLoadFood(){
    this.dataService.getFood().subscribe(res=>{
    this.result = res;
    //console.log(res);
    });
  }

  findID(s){
    this.result = null;

    if(s == "เมนูผัด"){
      this.onLoadCoffee();
      this.sname = s;
    }if(s == "เมนูต้ม"){
      this.onLoadFood();
      this.sname = s;
    }if(s == "เมนูซีฟูต"){
      this.onLoadMilk();
      this.sname = s;
    }if(s == "เมนูทอด"){
      this.onLoadDrink();
      this.sname = s;
    }if(s == "เมนูเครื่องดื่ม"){
      this.onLoadCake();
      this.sname = s;
    }

  }

  onDelete(username:string){

    if(this.sname == "เมนูผัด"){

      this.dataService.deleteCoffee(username).subscribe(res=>{
        console.log(res);
        this.onLoadCoffee();
        });

    }if(this.sname == "เมนูต้ม"){

      this.dataService.deleteFood(username).subscribe(res=>{
        console.log(res);
        this.onLoadFood();
        });

    }if(this.sname == "เมนูซีฟูต"){

      this.dataService.deleteMilk(username).subscribe(res=>{
        console.log(res);
        this.onLoadMilk();
        });

    }if(this.sname == "เมนูทอด"){

      this.dataService.deleteDrink(username).subscribe(res=>{
        console.log(res);
        this.onLoadDrink();
        });

    }if(this.sname == "เมนูเครื่องดื่ม"){

      this.dataService.deleteCake(username).subscribe(res=>{
        console.log(res);
        this.onLoadCake();
        });

    }



  }




}
