const express = require('express');
const router = express.Router();
const mongoClient = require('mongodb').MongoClient;
const mongo_string = "mongodb://localhost:27017/cmcourse"

router.get('/show', function (req, res){
   // res.end("Hi Show");
   mongoClient.connect(mongo_string, function (req, db) {

    db.collection("coffee")
    .find()
    .toArray()
    .then(courses => {
        const output = {result : "OK", message : courses}
        res.json(output);

    });
    db.close();
   });
})

router.get('/show/coffee', function (req, res){
    // res.end("Hi Show");
    mongoClient.connect(mongo_string, function (req, db) {
     db.collection("coffee")
     .find()
     .toArray()
     .then(courses => {
         const output = {result : "OK", message : courses}
         res.json(output);
     });
     db.close();
    });
 })

 router.get('/show/food', function (req, res){
    // res.end("Hi Show");
    mongoClient.connect(mongo_string, function (req, db) {
     db.collection("food")
     .find()
     .toArray()
     .then(courses => {
         const output = {result : "OK", message : courses}
         res.json(output);
     });
     db.close();
    });
 })

 router.get('/show/drink', function (req, res){
    // res.end("Hi Show");
    mongoClient.connect(mongo_string, function (req, db) {
     db.collection("drink")
     .find()
     .toArray()
     .then(courses => {
         const output = {result : "OK", message : courses}
         res.json(output);
     });
     db.close();
    });
 })

 router.get('/show/cake', function (req, res){
    // res.end("Hi Show");
    mongoClient.connect(mongo_string, function (req, db) {
     db.collection("cake")
     .find()
     .toArray()
     .then(courses => {
         const output = {result : "OK", message : courses}
         res.json(output);
     });
     db.close();
    });
 })

 router.get('/show/milk', function (req, res){
    // res.end("Hi Show");
    mongoClient.connect(mongo_string, function (req, db) {
     db.collection("milk")
     .find()
     .toArray()
     .then(courses => {
         const output = {result : "OK", message : courses}
         res.json(output);
     });
     db.close();
    });
 })

 

 router.post('/add/coffee', function (req, res){
    // res.end("Hi, add api: " + req.body.name);
     mongoClient.connect(mongo_string, function (err, db) {
     
         const data = {username : req.body.username, name : req.body.name, price : req.body.price  };
         db.collection('coffee')
         .insertOne(data, (err, result)=>{
             if (err) throw err;
             const response = {result : 'ok', message : result.result.n + "Inserted"};
             res.json(response);
         });
 
         db.close();
     });
 })

 router.post('/add/milk', function (req, res){
    // res.end("Hi, add api: " + req.body.name);
     mongoClient.connect(mongo_string, function (err, db) {
     
         const data = {username : req.body.username, name : req.body.name,  price : req.body.price  };
         db.collection('milk')
         .insertOne(data, (err, result)=>{
             if (err) throw err;
             const response = {result : 'ok', message : result.result.n + "Inserted"};
             res.json(response);
         });
 
         db.close();
     });
 })

 router.post('/add/food', function (req, res){
    // res.end("Hi, add api: " + req.body.name);
     mongoClient.connect(mongo_string, function (err, db) {
     
         const data = {username : req.body.username, name : req.body.name,  price : req.body.price  };
         db.collection('food')
         .insertOne(data, (err, result)=>{
             if (err) throw err;
             const response = {result : 'ok', message : result.result.n + "Inserted"};
             res.json(response);
         });
 
         db.close();
     });
 })


 router.post('/add/cake', function (req, res){
    // res.end("Hi, add api: " + req.body.name);
     mongoClient.connect(mongo_string, function (err, db) {
     
         const data = {username : req.body.username, name : req.body.name, price : req.body.price  };
         db.collection('cake')
         .insertOne(data, (err, result)=>{
             if (err) throw err;
             const response = {result : 'ok', message : result.result.n + "Inserted"};
             res.json(response);
         });
 
         db.close();
     });
 })

 router.post('/add/drink', function (req, res){
    // res.end("Hi, add api: " + req.body.name);
     mongoClient.connect(mongo_string, function (err, db) {
     
         const data = {username : req.body.username, name : req.body.name, price : req.body.price  };
         db.collection('drink')
         .insertOne(data, (err, result)=>{
             if (err) throw err;
             const response = {result : 'ok', message : result.result.n + "Inserted"};
             res.json(response);
         });
 
         db.close();
     });
 })

router.post('/add', function (req, res){
   // res.end("Hi, add api: " + req.body.name);
    mongoClient.connect(mongo_string, function (err, db) {
    
        const data = {username : req.body.username, password : req.body.password, name : req.body.name, age : req.body.age      };
        db.collection('courses')
        .insertOne(data, (err, result)=>{
            if (err) throw err;
            const response = {result : 'ok', message : result.result.n + "Inserted"};
            res.json(response);
        });

        db.close();
    });
})

router.delete('/delete/coffee/:username', function (req, res){
    //res.end("Hi Delete api" + req.params.name);
    const query = {username : req.params.username};
    mongoClient.connect(mongo_string, function (err, db) {
        db.collection("coffee")
        .deleteMany(query, function (err, result) {
            const response = {result: "OK", message : result.result.n + "Deleted"};
            res.json(response);
        })
    })
})

router.delete('/delete/food/:username', function (req, res){
    //res.end("Hi Delete api" + req.params.name);
    const query = {username : req.params.username};
    mongoClient.connect(mongo_string, function (err, db) {
        db.collection("food")
        .deleteMany(query, function (err, result) {
            const response = {result: "OK", message : result.result.n + "Deleted"};
            res.json(response);
        })
    })
})

router.delete('/delete/drink/:username', function (req, res){
    //res.end("Hi Delete api" + req.params.name);
    const query = {username : req.params.username};
    mongoClient.connect(mongo_string, function (err, db) {
        db.collection("drink")
        .deleteMany(query, function (err, result) {
            const response = {result: "OK", message : result.result.n + "Deleted"};
            res.json(response);
        })
    })
})

router.delete('/delete/milk/:username', function (req, res){
    //res.end("Hi Delete api" + req.params.name);
    const query = {username : req.params.username};
    mongoClient.connect(mongo_string, function (err, db) {
        db.collection("milk")
        .deleteMany(query, function (err, result) {
            const response = {result: "OK", message : result.result.n + "Deleted"};
            res.json(response);
        })
    })
})

router.delete('/delete/cake/:username', function (req, res){
    //res.end("Hi Delete api" + req.params.name);
    const query = {username : req.params.username};
    mongoClient.connect(mongo_string, function (err, db) {
        db.collection("cake")
        .deleteMany(query, function (err, result) {
            const response = {result: "OK", message : result.result.n + "Deleted"};
            res.json(response);
        })
    })
})

module.exports = router;