import { Component, OnInit } from '@angular/core';
import { DataService } from '../../data.service';

@Component({
  selector: 'app-add',
  templateUrl: './add.component.html',
  styleUrls: ['./add.component.css']
})
export class AddComponent implements OnInit {
  username:string="";
  name:string;
  
  price:number;
  Mname:string;

  Inupdate:string;


  constructor(private dataService:DataService) {

    this.getRandomInt(9);

   }

  ngOnInit() {
  }

  onAdd(){

if(this.Mname == null || this.name == null || this.price == null){
  alert("กรุณากรอกข้อมูลให้ครบถ้วน!!");
}else{
  if(this.myFunction()==true){
    if(this.Mname == "เมนูผัด"){
      this.dataService.addCoffee(this.username,this.name,this.price.toString()).subscribe(res=>{
        console.log(res);
        this.onClear();
      });
    }if(this.Mname == "เมนูต้ม"){
      this.dataService.addFood(this.username,this.name,this.price.toString()).subscribe(res=>{
        console.log(res);
        this.onClear();
      });
    }if(this.Mname == "เมนูซีฟูต"){
      this.dataService.addDrink(this.username,this.name,this.price.toString()).subscribe(res=>{
        console.log(res);
        this.onClear();
      });
    }if(this.Mname == "เมนูทอด"){
      this.dataService.addCake(this.username,this.name,this.price.toString()).subscribe(res=>{
        console.log(res);
        this.onClear();
      });
    }if(this.Mname == "เมนูเครื่องดื่ม"){
      this.dataService.addMilk(this.username,this.name,this.price.toString()).subscribe(res=>{
        console.log(res);
        this.onClear();
      });
    }

    this.username="";
    this.getRandomInt(9);
    this.Inupdate = "อัพเดตข้อมูลสำเร็จ!!";
    console.log("OK")
    }else{
      this.Inupdate = "อัพเดตข้อมูลไม่สำเร็จ!!";
    }


}


}

myFunction() {
  var txt;
  var r = confirm("ยืนยันการเพิ่มข้อมูล");
return r;
}

  onClear(){
    this.name = null;
    
    this.price = null;
  }



  getRandomInt(max) {

    for(let i=0;i<6;i++){
     this.username += Math.floor(Math.random() * Math.floor(max));
    }

    return this.username;
  }


}
